=== examples/2D/00_tests/Makefile ===
test:
	glslViewer test.frag

test_in_png:
	glslViewer test.frag in.png

test_in_tga:
	glslViewer test.frag in.tga

test_in_gif:
	glslViewer test.frag in.gif

test_in_psd:
	glslViewer test.frag in.psd

test_out_png:
	glslViewer test.frag in.png -E screenshot,out.png

test_out_tga:
	glslViewer test.frag in.png -E screenshot,out.tga

test_out_jpg:
	glslViewer test.frag in.png -E screenshot,out.jpg

test_out_hdr:
	glslViewer test.frag in.png -E screenshot,out.hdr
