=== examples/2D/03_buffers/Makefile ===
ripples:
	glslViewer 00_ripples.frag -l

grayscott:
	glslViewer 01_grayscott.frag -l

conway:
	glslViewer 02_conway.frag -l

cfd:
	glslViewer 03_cfd.frag ../00_tests/in.png -l
