=== examples/2D/04_script/Makefile ===
temp:
	./temp.sh | glslViewer temp.frag -l
