=== examples/2D/05_orca/Makefile ===
all:
	glslViewer orca.frag -p 49162 -l
