=== examples/2D/06_chataigne/Makefile ===
all:
	glslViewer chataigne.frag -p 9000 -l
