=== examples/2D/07_touchOSC/Makefile ===
all:
	glslViewer touchOSC.frag -p 8000 -l
