=== examples/2D/08_score/Makefile ===
all:
	glslViewer score.frag -p 9996 -l
