=== examples/3D/01_lighting/Makefile ===
gooch:
	glslViewer 00_gooch.frag head.ply 

shadows:
	glslViewer 01_shadows.frag head.ply 

cubemap:
	glslViewer 02_cubemap.frag head.ply -C uffizi_cross.hdr

spherical_harmmonics:
	glslViewer 03_spherical_harmonics.frag head.ply -C uffizi_cross.hdr

fresnel:
	glslViewer 04_fresnel.vert 04_fresnel.frag head.ply -C uffizi_cross.hdr
