=== debian/control ===
Source: glslviewer
Section: unknown
Priority: optional
Maintainer: Patricio Gonzalez Vivo <patriciogonzalezvivo@gmail.com>
Build-Depends: debhelper (>=9), pkg-config, libglfw3-dev, libglu1-mesa-dev, libxrandr-dev,
 libxi-dev, libxcursor-dev, libxinerama-dev
Standards-Version: 3.9.6
Homepage: https://github.com/patriciogonzalezvivo/glslViewer

Package: glslviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GlslViewer is a flexible console-base OpenGL Sandbox to display 2D/3D GLSL shaders without the need of an UI
